package com.zheng.demo;

import static org.junit.Assert.assertTrue;

import java.time.LocalDate;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;

import org.junit.Before;
import org.junit.Test;

public class AddDays_LocalDateTest {

	private static final int DAYS = 10;
	private static final String ISO8601_DATE_FORMAT = "yyyy/MM/dd";
	private static final DateTimeFormatter dateFormat8 = DateTimeFormatter.ofPattern(ISO8601_DATE_FORMAT);

	private AddDays_LocalDate defaultZoneDate = new AddDays_LocalDate();
	private AddDays_LocalDate cstZoneDate = new AddDays_LocalDate(ZoneId.of("US/Central"));

	@Before
	public void setup() {
		System.out.println("*****\nOriginal defaultZoneDate : " + dateFormat8.format(defaultZoneDate.getCurrentDate()));
		System.out.println("*****\nOriginal cstZoneDate : " + dateFormat8.format(cstZoneDate.getCurrentDate()));
		System.out.println("-----");
	}

	@Test
	public void test_addDays_by_plusDays() {
		for (int i = 0; i < DAYS; i++) {
			LocalDate plusDate = defaultZoneDate.addDays_by_plusDays(Long.valueOf(i));
			assertTrue( i == plusDate.getDayOfYear() - defaultZoneDate.getCurrentDate().getDayOfYear());
			
			System.out.println(" Plus " + i + " days = " + dateFormat8.format(plusDate));
		}
	}

	@Test
	public void test_substractDays_by_minusDays() {
		for (int i = 0; i < DAYS; i++) {
			LocalDate minusDate = defaultZoneDate.substractDays_by_minusDays(Long.valueOf(i));
			assertTrue( i ==  defaultZoneDate.getCurrentDate().getDayOfYear() - minusDate.getDayOfYear());
			
			System.out.println(" Minus " + i + " days = " + dateFormat8.format(minusDate));
		}
	}

}