package com.zheng.demo;

import static org.junit.Assert.assertTrue;

import java.time.LocalDateTime;
import java.time.ZoneId;
import java.time.format.DateTimeFormatter;

import org.junit.Before;
import org.junit.Test;

public class AddDays_LocalDateTimeTest {

	private static final int DAYS = 10;
	private static final String ISO8601_DATE_FORMAT = "yyyy/MM/dd HH:mm:ss";
	private static final DateTimeFormatter dateFormat8 = DateTimeFormatter.ofPattern(ISO8601_DATE_FORMAT);

	private AddDays_LocalDateTime defaultZoneDate = new AddDays_LocalDateTime();
	private AddDays_LocalDateTime cstZoneDate = new AddDays_LocalDateTime(ZoneId.of("US/Central"));

	@Before
	public void setup() {
		System.out.println("*****\nOriginal defaultZoneDate : " + dateFormat8.format(defaultZoneDate.getCurrentDate()));
		System.out.println("*****\nOriginal cstZoneDate : " + dateFormat8.format(cstZoneDate.getCurrentDate()));
		System.out.println("-----");
	}

	@Test
	public void plus_number_of_days() {
		for (int i = 0; i < DAYS; i++) {
			LocalDateTime plusDate = defaultZoneDate.addDays_by_plusDays(Long.valueOf(i));			
			assertTrue( i == plusDate.getDayOfYear() - defaultZoneDate.getCurrentDate().getDayOfYear());
			System.out.println("Plus " + i + " = " + dateFormat8.format(plusDate));
		}
	}

	@Test
	public void minus_number_of_days() {
		for (int i = 0; i < DAYS; i++) {
			LocalDateTime minusDate = defaultZoneDate.substractDays_by_minusDays(Long.valueOf(i));
			assertTrue( i ==  defaultZoneDate.getCurrentDate().getDayOfYear() - minusDate.getDayOfYear());
			
			System.out.println("Minus" + i + " = " + dateFormat8.format(minusDate));
		}
	}

}