package com.zheng.demo;

import static org.junit.Assert.assertTrue;

import java.time.ZonedDateTime;
import java.time.format.DateTimeFormatter;

import org.junit.Before;
import org.junit.Test;

public class AddDays_ZonedDateTimeTest {

	private static final int DAYS = 10;

	private static final DateTimeFormatter dateFormat8 = DateTimeFormatter.ISO_OFFSET_DATE_TIME;

	private AddDays_ZonedDateTime defaultZoneDate = new AddDays_ZonedDateTime();

	@Before
	public void setup() {
		System.out.println("*****\nOriginal defaultZoneDate : " + dateFormat8.format(defaultZoneDate.getCurrentDate()));
		System.out.println("-----");
	}

	@Test
	public void add_number_of_days_byPlusDays() {
		for (int i = 1; i < DAYS; i++) {
			ZonedDateTime plusDate = defaultZoneDate.addDays_by_plusDays(Long.valueOf(i));
			assertTrue( i == plusDate.getDayOfYear() - defaultZoneDate.getCurrentDate().getDayOfYear());
			
			System.out.println("PlusDays " + i + " = " + dateFormat8.format(plusDate));
		}
	}

	@Test
	public void add_number_of_days_byPlus() {
		for (int i = 1; i < DAYS; i++) {
			ZonedDateTime plusDate = defaultZoneDate.addDays_by_plus(Long.valueOf(i));
			assertTrue( i == plusDate.getDayOfYear() - defaultZoneDate.getCurrentDate().getDayOfYear());
			
			System.out.println("Plus " + i + "= " + dateFormat8.format(plusDate));
		}
	}

}